﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;

namespace ComicsEditor
{
    public class TextWriteInstrument : Instrument
    {
        public TextWriteInstrument()
        {
        }

        public override bool Activate(Point point, out Point offset)
        {
            offset = Point.Empty;

            Text text = new Text(Page, point);
            pageInfo.Texts.Add(text);
            if (pageInfo.TextCreate != null)
                pageInfo.TextCreate(text);

            return true;
        }
    }
}
