﻿using System;
using System.Collections.Generic;
using System.Text;

namespace ComicsEditor
{
    public abstract class EditableObject : PageObject
    {
        public bool Editing = false;

        public EditableObject(Page Page) : base(Page)
        {
        }

        public EditableObject(Page Page, int Order) : base(Page, Order)
        {
        }

        public virtual void BeginEdit()
        {
            Editing = true;
        }

        public virtual void EndEdit()
        {
            Editing = false;
        }
    }
}
