﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;

namespace ComicsEditor
{
    public class FrameSelectInstrument : Instrument
    {
        public FrameSelectInstrument()
        {
        }

        public override bool Activate(Point point, out Point offset)
        {
            offset = Point.Empty;
            foreach (Frame frame in pageInfo.Frames)
                if (frame.Rectangle.Contains(point))
                    pageInfo.FrameSelect(frame);
            return true;
        }
    }
}
