﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Windows.Forms;

namespace ComicsEditor
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            ComicInfo.CachePath = Path.GetDirectoryName(Application.ExecutablePath) + Path.DirectorySeparatorChar + "Cache";
            Downloader.Default = new Downloader();

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new Form1());
        }
    }
}